import { AbstractControl, ValidationErrors, ValidatorFn } from '@angular/forms';
import { DateAdapter } from '@ng-tangram/components/core';
export declare function requiredSelection(control: AbstractControl): ValidationErrors | null;
export declare function requiredUpload(control: AbstractControl): ValidationErrors | null;
export declare function equalTo(equalControl: AbstractControl, equalLabel: string): ValidatorFn;
export declare function unequalTo(equalControl: AbstractControl, unequalLabel?: string): ValidatorFn;
export declare function interval(intervalLabel?: string): ValidatorFn;
export declare function ltTo(withControl: AbstractControl, ltLabel?: string): ValidatorFn;
export declare function ltDateTo(withControl: AbstractControl, ltLabel: string, dateAdapter: DateAdapter<any>): ValidatorFn;
export declare function gtDateTo(withControl: AbstractControl, gtLabel: string, dateAdapter: DateAdapter<any>): ValidatorFn;
